Fix warnings found by GCC 4.7 in the XCB platform plugin
authorThiago Macieira <thiago.macieira@intel.com>
Sat, 22 Dec 2012 03:42:22 +0000 (19:42 -0800)
committerThe Qt Project <gerrit-noreply@qt-project.org>
Thu, 3 Jan 2013 13:18:03 +0000 (14:18 +0100)
commitddf8ebb0145f81d0deb0aabf7b774c42e4be4c2b
tree3b7aa0362712166d9ce2e2819086e3924850e927
parent83188c6499ccdc87c0a2c468bb497e287f5db369
Fix warnings found by GCC 4.7 in the XCB platform plugin

qxcbnativeinterface.cpp:246:8: error: unused parameter 'context' [-Werror=unused-parameter]
qxcbcursor.cpp:550:85: error: 'root' may be used uninitialized in this function [-Werror=maybe-uninitialized]

Change-Id: I5fa4e717c86d0e8198e501e6c799e0ceb9264708
Reviewed-by: Samuel Rødal <samuel.rodal@digia.com>
src/plugins/platforms/xcb/qxcbcursor.cpp
src/plugins/platforms/xcb/qxcbnativeinterface.cpp